Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984260 - Nautilus doesn't offer /usr/bin/wine as application in "Open With" despite a .desktop file being available in /usr/share/applications
Summary: Nautilus doesn't offer /usr/bin/wine as application in "Open With" despite a ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shared-mime-info
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-14 08:23 UTC by Jonas Thiem
Modified: 2015-02-17 16:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:08:25 UTC


Attachments (Terms of Use)

Description Jonas Thiem 2013-07-14 08:23:49 UTC
Description of problem:
Nautilus doesn't offer /usr/bin/wine as application in "Open With" despite a .desktop file available in /usr/share/applications/. It is impossible to choose wine in the "Open With" file properties or the "Open With" sub menu in the context menu.

If /usr/share/applications/ is an invalid location for desktop files, please close this bug and I will file a bug against wine as a packaging error.

Version-Release number of selected component (if applicable):
GNOME nautilus 3.8.2

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora 19
2. Install wine and wine-desktop (but not qt4wine)
3. Verify wine.desktop file is located /usr/share/applications/
4. Attempt to choose wine in "Open With" dialog of nautilus

Actual results:
wine is not available, nautilus suggests a zip archiver only

Expected results:
wine is available

Additional info:

Comment 1 Jonas Thiem 2013-07-14 08:24:55 UTC
Sorry I forgot to specify this more clearly, with file properties or context menu I specifically refer to file properties or context menu of .exe files selected in nautilus (windows executables).

Comment 2 Adhidarma Hadiwinoto 2013-09-19 14:38:59 UTC
I confirm this bug and I think it's about wine packaging mistake.

Comment 3 Adhidarma Hadiwinoto 2013-09-19 14:56:00 UTC
Looks like this bug has been rejected as wine's bug on https://bugzilla.redhat.com/show_bug.cgi?id=984141

Comment 4 Matthias Clasen 2014-11-15 16:31:36 UTC
this would presumably just work if the mime system knew about the kind of binary you have there and reported the expected mime type

Comment 5 Jonas Thiem 2014-11-15 17:57:28 UTC
I remember being told by a gnome dev this is no longer true: because Nautilus wants to make things easier it only lists graphical applications which have a .desktop file and it has no way of allowing the user to pick another one based on the binary anymore. So I would assume unless you provide a .desktop file too, it won't work. But maybe I recall this incorrectly, you should speak to a nautilus developer. (sorry if you are actually a nautilus dev, feel free to ignore my possibly incorrect ramble then)

Comment 6 Fedora End Of Life 2015-01-09 18:54:19 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-02-17 16:08:25 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.